- hosts: localhost
  tasks:
    - name: recup ip container debian
      shell: lxc-info -iH debian
      register: ipcontainer

    - name: update ip debian
      lineinfile:
        path: /etc/hosts
        regexp: 'debian.lxc'
        replace: '{{ ipcontainer.stdout.lines[0] }} debian.lxc'

    - name: recup ip container rocky
      shell: lxc-info -iH rockylinux
      register: ipcontainer

    - name: update ip rocky
      lineinfile:
        path: /etc/hosts
        regexp: 'rocky.lxc'
        replace: '{{ ipcontainer.stdout.lines[0] }} rocky.lxc'

    - name: recup ip container ubuntu
      shell: lxc-info -iH ubuntu
      register: ipcontainer

    - name: update ip ubuntu
      lineinfile:
        path: /etc/hosts
        regexp: 'ubuntu.lxc'
        replace: '{{ ipcontainer.stdout.lines[0] }} ubuntu.lxc'
